package com.zt.plat.module.base.service.doctemplate.render;

/**
 * 数据源类型枚举
 *
 * @author hwc
 */
public enum DocTemplateDataSourceType {
    /**
     * 标签默认值
     */
    DEFAULT("标签默认值"),

    /**
     * 业务策略
     */
    BUSINESS("业务策略"),

    /**
     * 前端入参
     */
    REQUEST("前端入参"),

    /**
     * SQL配置
     */
    SQL_CONFIG("SQL配置");

    private final String description;

    DocTemplateDataSourceType(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }
}